Subject: Re: bug#37374: "Guix is too old and cannot be upgraded" (guix package -u)

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 11 Sep 2019 07:46:04 +0200

On Tue, Sep 10, 2019 at 05:37:47PM -0600, melon wrote:
> I was attempting to upgrade my Guix (binary, on Linux Mint) installation
> today using the 'guix package pull && guix package -u' commands, and Guix outputted the following error:
> 
> ERROR: In procedure raise:
> Wrong type (expecting exact integer): #<condition &message [message: "Guix is too old and cannot be upgraded"] 7528ac0>
> guix pull: error: You found a bug: the program '/gnu/store/y1kqj5ikxx9niyz2zx1gbikspi2xfmi4-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "7e143375d3649f3c0bd4c13958b26c086f364647"; system: "x86_64-linux";
> host version: "aa4818c33b6b2fd8d602ee93a2f53005d9472f41"; pull-version: 0).
> Please report it by email to <[email-masked]>.
> 
> I searched the Web and mailing list archives for this error but could
> not find anything. Maybe I used the wrong keywords.
> 
> Is there any way I can perform a "manual upgrade" to a newer Guix
> version?
> 
> 
> 

A manual upgrade is possible using a Git checkout, but it may be
easiest to just remove Guix like
https://wiki.archlinux.org/index.php/Guix#Uninstalling_Guix
and then reinstall.

(Sorry for linking to the Arch wiki; are there uninstall/removal
instructions in the manual that I missed?  They should be more
prominent.)

Regards,
Florian